﻿// Millard Filmore Bobblehead
//
#include "SpringSim.as"

//                       grav, stiff, friction
ss = new SpringSim(this, 3, 0.25, 0.01);


// Create an anchor point for the bobble head
var mc = this.createEmptyMovieClip("anc_mc", 10);
mc.setDotProps(true,true);
mc._x = head_mc._x;
mc._y = head_mc._y-80;
ss.addSpring(head_mc, mc);

head_mc._x += 8;
head_mc._y += 32;
radToDeg = 180/Math.PI;
deg90 = Math.PI/2;

head_mc.onEnterFrame = function()
{
	// Rotate head to match relationship to anchor point
	var dx = _root.anc_mc._x - this._x;
	var dy = _root.anc_mc._y - this._y;
	var ang = Math.atan2(dy,dx)+deg90; 
	this._rotation = ang*radToDeg;
}
